Package net.md_5.bungee.jni.cipher

# Class NativeCipher

java.lang.Object
net.md_5.bungee.jni.cipher.NativeCipher

All Implemented Interfaces:
  `BungeeCipher`

public class NativeCipher extends Object implements BungeeCipher

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NativeCipher()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `allowComposite()`
  `void`
  `cipher(io.netty.buffer.ByteBuf in, io.netty.buffer.ByteBuf out)`
  `io.netty.buffer.ByteBuf`
  `cipher(io.netty.channel.ChannelHandlerContext ctx, io.netty.buffer.ByteBuf in)`
  `void`
  `free()`
  `net.md_5.bungee.jni.cipher.NativeCipherImpl`
  `getNativeCipher()`
  `void`
  `init(boolean forEncryption, SecretKey key)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NativeCipher

    public NativeCipher()

- ## Method Details

  - ### init

    public void init(boolean forEncryption, SecretKey key) throws GeneralSecurityException
    Specified by:
      `init` in interface `BungeeCipher`
    Throws:
      `GeneralSecurityException`

  - ### free

    public void free()
    Specified by:
      `free` in interface `BungeeCipher`

  - ### cipher

    public void cipher(io.netty.buffer.ByteBuf in, io.netty.buffer.ByteBuf out) throws GeneralSecurityException
    Specified by:
      `cipher` in interface `BungeeCipher`
    Throws:
      `GeneralSecurityException`

  - ### cipher

    public io.netty.buffer.ByteBuf cipher(io.netty.channel.ChannelHandlerContext ctx, io.netty.buffer.ByteBuf in) throws GeneralSecurityException
    Specified by:
      `cipher` in interface `BungeeCipher`
    Throws:
      `GeneralSecurityException`

  - ### allowComposite

    public boolean allowComposite()
    Specified by:
      `allowComposite` in interface `BungeeCipher`

  - ### getNativeCipher

    public net.md_5.bungee.jni.cipher.NativeCipherImpl getNativeCipher()